Fix STC scripts for checking ONOS nodes

- Fix onos-check-nodes to return an error code if  onos is up but nodes
  aren't in the correct states
- Add onos-check-storage-nodes to check if all atomix core nodes are
  connected
- Add a step for onos-check-storage-nodes step to stc setup

Change-Id: If61c2316653b6dc359fc84f18a65b2edbdd4acd8
diff --git a/tools/test/bin/onos-check-nodes b/tools/test/bin/onos-check-nodes
index 0c48a6a..6151a12 100755
--- a/tools/test/bin/onos-check-nodes
+++ b/tools/test/bin/onos-check-nodes
@@ -20,4 +20,5 @@
     # Check for differences
     diff $aux.1 $aux.2 && exit 0
     sleep 1
-done
\ No newline at end of file
+done
+exit 1